Commit 09ce0508 authored by Natanael Copa's avatar Natanael Copa

Revert "testing/*: remove from stable branch"

This reverts commit 9ad548df.

I'll delete them one by one.
parent 9ad548df
# Contributor: Michael Mason <ms13sp@gmail.com>
pkgname=acf-fetch-crl
pkgver=0.2.0
pkgrel=0
pkgdesc="A web-based system administration interface for fetch-crl"
url="http://git.alpinelinux.org/cgit/$pkgname"
license="GPL-2"
depends="acf-core lua fetch-crl"
makedepends=""
install=
subpackages=""
source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2"
build() {
cd "$srcdir/$pkgname-$pkgver"
make DESTDIR="$pkgdir" install
}
md5sums="d8789ef066ac41abd0db69a8ec470540 acf-fetch-crl-0.2.0.tar.bz2"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alsa-utils
pkgver=1.0.22
pkgrel=0
pkgdesc="Advanced Linux Sound Architecture Utils (alsactl, alsamixer, etc.)"
url="http://www.alsa-project.org"
license="GPL"
makedepends="alsa-lib-dev pciutils-dev ncurses-dev"
depends="dialog"
subpackages="$pkgname-doc"
source="ftp://ftp.alsa-project.org/pub/utils/$pkgname-$pkgver.tar.bz2
alsaconf.patch
alsa.initd
alsa.confd
"
prepare() {
cd "$srcdir"/$pkgname-$pkgver
patch -Np1 -i ../alsaconf.patch || return 1
}
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure --prefix=/usr \
--disable-xmlto \
|| return 1
make || return 1
}
package() {
cd "$srcdir"/$pkgname-$pkgver
make DESTDIR="$pkgdir" install
install -D -m755 ../alsa.initd "$pkgdir"/etc/init.d/alsa
install -D -m644 ../alsa.confd "$pkgdir"/etc/conf.d/alsa
}
md5sums="f7180316188552ee1e6759a03f1fe98d alsa-utils-1.0.22.tar.bz2
5e65f278b5a77e3ee2821ad955c4cd91 alsaconf.patch
4a66dad46d5366e05098cde97f3d37b5 alsa.initd
85b1f1e759fe5953eca329237f4ac256 alsa.confd"
# ENABLE_OSS_EMUL:
# Do you want to enable in-kernel oss emulation?
# no - Do not load oss emul drivers
# yes - Load oss emul drivers if they're found
ENABLE_OSS_EMUL="yes"
# RESTORE_ON_START:
# Do you want to restore your mixer settings? If not, your cards will be
# muted.
# no - Do not restore state
# yes - Restore state
RESTORE_ON_START="yes"
# SAVE_ON_STOP:
# Do you want to save changes made to your mixer volumes when alsasound
# stops?
# no - Do not save state
# yes - Save state
SAVE_ON_STOP="yes"
# LOAD_ON_START:
# Do you want to load sound modules when alsasound starts?
# Note: The Gentoo ALSA developers encourage you to build your sound
# drivers into the kernel unless the device is hotpluggable or
# you need to supply specific options (such as model= to HD-Audio).
# no - Do not load modules
# yes - Load modules
LOAD_ON_START="yes"
#!/sbin/runscript
# $Header: /var/cvsroot/gentoo-x86/media-sound/alsa-utils/files/alsasound.initd-r4,v 1.1 2009/08/02 11:27:26 ssuominen Exp $
# Copyright 2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
alsastatedir=/var/lib/alsa
alsascrdir=/etc/alsa.d
opts="save restore"
depend() {
need localmount
after bootmisc modules isapnp coldplug hotplug hwdrivers
}
load_modules() {
# List of drivers for each card.
local DRIVERS="$(modprobe -c | sed -n -e 's/^alias \(snd-card-[[:digit:]]\+\) .*/\1/p')"
# Fall back on the automated aliases if we don't have ALSA configured properly...
if [ -z "${DRIVERS}" ] && \
( [ ! -r /proc/asound/cards ] || grep -q ' no soundcards ' /proc/asound/cards 2>/dev/null ) ; then
ewarn "Could not detect custom ALSA settings. Loading all detected alsa drivers."
DRIVERS="$(modprobe -c | sed -n -e '/^alias pci:.* snd.*/ s/^alias pci:[^ ]* \(.*\)/\1/p' | sort | uniq)"
if [ -z "${DRIVERS}" ] ; then
eerror "Unable to find any ALSA drivers. Have you compiled alsa-drivers correctly?"
fi
fi
if [ "${ENABLE_OSS_EMUL}" = "yes" ] ; then
DRIVERS="${DRIVERS} $(modprobe -l | sed -n -e '/snd.*oss/ s:.*\/\([[:alnum:]_-]\+\).ko:\1:p')"
fi
# We want to ensure snd-seq is loaded as it is needed for things like
# timidity even if we don't use a real sequencer.
DRIVERS="${DRIVERS} $(modprobe -l | sed -n -e '/snd.seq\./ s:.*\/\([[:alnum:]_-]\+\).ko:\1:p')"
# We want to ensure snd-ioctl32 is loaded as it is needed for 32bit
# compatibility
DRIVERS="${DRIVERS} $(modprobe -l | sed -n -e '/snd.ioctl32\./ s:.*\/\([[:alnum:]_-]\+\).ko:\1:p')"
local DRIVER= DMOD=
for DRIVER in ${DRIVERS} ; do
[ "${DRIVER}" = "off" ] && continue
DMOD="$(echo "${DRIVER}" | sed -e 's/-/_/g')"
if ! grep -q "^${DMOD} " /proc/modules ; then
ebegin "Loading: ${DRIVER}"
modprobe ${DRIVER}
eend $?
fi
done
if [ -f /proc/asound/seq/drivers ] ; then
local SEQUENCERS="$(sed -n -e 's/\([^,]*\),empty,.*/\1/p' /proc/asound/seq/drivers)"
local SEQUENCER
for SEQUENCER in ${SEQUENCERS} ; do
DMOD="$(echo "${SEQUENCER}" | sed -e 's/-/_/g')"
if ! grep -q "^${DMOD} " /proc/modules ; then
ebegin "Loading: ${SEQUENCER}"
modprobe ${SEQUENCER}
eend $?
fi
done
fi
for DRIVER in ${DRIVERS}
do
local TMP=${DRIVER##snd-}
TMP=${TMP##snd_}
if [ -x "${alsascrdir}/${TMP}" ] ; then
ebegin "Running: ${alsascrdir}/${TMP}"
"${alsascrdir}/${TMP}"
eend $?
fi
done
if [ ! -d /proc/asound ] || grep -q ' no soundcards ' /proc/asound/cards ; then
eerror "ERROR: Failed to load necessary drivers"
return 1
fi
}
unload_modules_24() {
local LOADED_MODULES="$(lsmod | sed -n -e 's/^\(snd[^ ]*\) .*/\1/p')"
local MODULE
for MODULE in ${LOADED_MODULES} ; do
rmmod "${MODULE}"
done
rmmod soundcore 2>/dev/null
rmmod gameport 2>/dev/null
lsmod | grep -vq '^snd'
}
unload_modules_recursive() {
local revdeps="$(lsmod | sed -n -e "s/,/ /g" -e "s/^$1 *[0-9]* *[0-9]* \(.*\)/\1/p")"
for module in ${revdeps} ; do
unload_modules_recursive "${module}"
done
vebegin "Unloading: $1"
rmmod --wait "$1"
veend $?
}
unload_modules_26() {
# First of all, remove the snd module and all the modules depending
# on it, this should remove already most of ALSA modules.
lsmod | grep -q "^snd[[:space:]]" && unload_modules_recursive snd
# Then find the remaining ones, and handle them too.
for module in $(lsmod | sed -n -e 's/^\(snd[^ ]*\) .*/\1/p'); do
unload_modules_recursive "${module}"
done
lsmod | grep -vq "^snd"
}
terminate() {
#
# Kill processes holding open sound devices
#
# DEVS=`find /dev/ -follow -type c -maxdepth 1 -print 2>/dev/null | xargs ls -dils | grep "1*1[46]," | cut -d: -f2 | cut -d" " -f2; echo /proc/asound/dev/*`
local ossdevs="/dev/admmidi* /dev/adsp* /dev/amidi* /dev/audio* /dev/dmfm* \
/dev/dmmidi* /dev/dsp* /dev/dspW* /dev/midi0* /dev/mixer* /dev/music \
/dev/patmgr* /dev/sequencer* /dev/sndstat"
local alsadevs="/proc/asound/dev/* /dev/sound/* /dev/snd/*"
fuser -k ${ossdevs} ${alsadevs} >/dev/null 2>/dev/null
# remove all sequencer connections if any
[ -f /proc/asound/seq/clients ] && type aconnect >/dev/null 2>/dev/null && aconnect --removeall
}
restore() {
ebegin "Restoring Mixer Levels"
if [ ! -r "${alsastatedir}/asound.state" ] ; then
ewarn "No mixer config in ${alsastatedir}/asound.state, you have to unmute your card!"
eend 0
return 0
fi
local cards="$(sed -n -e 's/ *\([[:digit:]]*\) .*/\1/p' /proc/asound/cards)"
local CARDNUM
for cardnum in ${cards}; do
[ -e /dev/snd/controlC${cardnum} ] || sleep 2
[ -e /dev/snd/controlC${cardnum} ] || sleep 2
[ -e /dev/snd/controlC${cardnum} ] || sleep 2
[ -e /dev/snd/controlC${cardnum} ] || sleep 2
alsactl -f "${alsastatedir}/asound.state" restore ${cardnum} \
|| ewarn "Errors while restoring defaults, ignoring"
done
for ossfile in "${alsastatedir}"/oss/card*_pcm* ; do
[ -e "${ossfile}" ] || continue
# We use cat because I'm not sure if cp works properly on /proc
local procfile=${ossfile##${alsastatedir}/oss}
procfile="$(echo "${procfile}" | sed -e 's,_,/,g')"
if [ -e /proc/asound/"${procfile}"/oss ] ; then
cat "${ossfile}" > /proc/asound/"${procfile}"/oss
fi
done
eend 0
}
save() {
ebegin "Storing ALSA Mixer Levels"
mkdir -p "${alsastatedir}"
if ! alsactl -f "${alsastatedir}/asound.state" store; then
eerror "Error saving levels."
eend 1
return 1
fi
for ossfile in /proc/asound/card*/pcm*/oss; do
[ -e "${ossfile}" ] || continue
local device=${ossfile##/proc/asound/} ; device=${device%%/oss}
device="$(echo "${device}" | sed -e 's,/,_,g')"
mkdir -p "${alsastatedir}/oss/"
cp "${ossfile}" "${alsastatedir}/oss/${device}"
done
eend 0
}
start() {
if [ -f /proc/modules ] && [ "${LOAD_ON_START}" = "yes" ]; then
ebegin "Loading ALSA modules"
eindent
load_modules
eoutdent
eend $? || return 1
fi
if [ ! -d /proc/asound ]; then
eerror "ALSA failed to load."
eend 1
return 1
elif [ "${RESTORE_ON_START}" = "yes" ]; then
restore
fi
return 0
}
stop() {
if [ ! -d /proc/asound ] ; then
eerror "ALSA is not loaded"
return 0
fi
[ "${SAVE_ON_STOP}" = "yes" ] && save
return 0
}
diff -Naur alsa-utils-1.0.9a-orig/alsaconf/alsaconf.in alsa-utils-1.0.9a/alsaconf/alsaconf.in
--- alsa-utils-1.0.9a-orig/alsaconf/alsaconf.in 2005-03-24 00:24:52.000000000 -0800
+++ alsa-utils-1.0.9a/alsaconf/alsaconf.in 2005-07-18 09:25:02.000000000 -0700
@@ -58,6 +58,8 @@
distribution="redhat"
elif test -f /etc/fedora-release && grep -q "Fedora" /etc/fedora-release; then
distribution="fedora"
+elif test -f /etc/alpine-release; then
+ distribution="alpine"
elif [ -f /etc/slackware-version -o -f /etc/slamd64-version ]; then
distribution="slackware"
else
# Contributor: Michael Mason <ms13sp@gmail.com>
# Maintainer: Michael Mason <ms13sp@gmail.com>
pkgname=antiword
pkgver=0.37
pkgrel=0
pkgdesc="free MS Word reader"
url="http://www.winfield.demon.nl"
license="GPL"
depends=""
makedepends=""
install=
subpackages=""
source="http://www.winfield.demon.nl/linux/antiword-0.37.tar.gz"
build() {
cd "$srcdir"/$pkgname-$pkgver
make || return 1
install -m755 -D "$srcdir"/"$pkgname-$pkgver"/$pkgname "$pkgdir"/usr/bin/$pkgname
mkdir -p "$pkgdir"/usr/share/antiword
install -m644 -D "$srcdir"/"$pkgname-$pkgver"/Resources/* "$pkgdir"/usr/share/antiword/
}
md5sums="f868e2a269edcbc06bf77e89a55898d1 antiword-0.37.tar.gz"
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=atomic-ops
pkgver=1.2_p20080819
_realver=1.2+cvs20080819
pkgrel=0
pkgdesc="A library for atomic operations"
url="http://www.hpl.hp.com/research/linux/atomic_ops/download.php4"
license="GPL"
depends=""
makedepends=""
install=
subpackages=
source="http://ftp.de.debian.org/debian/pool/main/liba/libatomic-ops/libatomic-ops_$_realver.orig.tar.gz"
build() {
cd "$srcdir"/libatomic_ops-${pkgver%_p*}
./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
--infodir=/usr/share/info
make || return 1
make DESTDIR="$pkgdir" install
}
md5sums="bf26c062f28796e3daaab586a38abec1 libatomic-ops_1.2+cvs20080819.orig.tar.gz"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=attr
pkgver=2.4.44
_ver=2.4.44
pkgrel=0
pkgdesc="Extended attribute support library for ACL support"
url="http://oss.sgi.com/projects/xfs/"
license="LGPL"
depends=
makedepends="libtool autoconf automake bash gzip"
subpackage="$pkgname-dev $pkgname-doc"
source="ftp://ftp.archlinux.org/other/attr/attr-${pkgver}.src.tar.gz"
prepare() {
cd "$srcdir"/attr-$pkgver
sed -i -e '/HAVE_ZIPPED_MANPAGES/s:=.*:=false:' \
include/builddefs.in
autoconf || return 1
}
build() {
cd "$srcdir"/attr-$pkgver
unset PLATFORM #184564
export OPTIMIZER="${CFLAGS}"
export DEBUG=-DNDEBUG
./configure \
--prefix=/ \
--exec-prefix=/ \
--sbindir=/bin \
--bindir=/usr/bin \
--libdir=/lib \
--libexecdir=/usr/lib \
--enable-lib64=yes \
--includedir=/usr/include \
--mandir=/usr/share/man \
--datadir=/usr/share \
--disable-gettext || return 1
make LIBTOOL="libtool --tag=CC" || return 1
}
package() {
cd "$srcdir"/attr-$pkgver
make DIST_ROOT="$pkgdir" install install-lib install-dev
# provided by man-pages
rm -fr "$pkgdir"/usr/share/man/man2
}
md5sums="adeefe65c5ad1febe46da185c5bfd5d4 attr-2.4.44.src.tar.gz"
# Contributor: Leonardo Arena <rnalrd@gmail.com>
# Maintainer: Leonardo Arena <rnalrd@gmail.com>
pkgname="bacula-client"
_realname="bacula"
pkgver=3.0.3
pkgrel=0
pkgdesc="Client (File Daemon) of Bacula, a network based backup program"
url="http://www.bacula.org"
license="GPL2"
depends="openssl ncurses"
makedepends="openssl-dev autoconf ncurses-dev"
install="$pkgname.pre-install $pkgname.post-install"
subpackages="$pkgname-doc"
source="http://downloads.sourceforge.net/project/$_realname/$_realname/$pkgver/$_realname-$pkgver.tar.gz
bacula-fd-init
bacula-fd-conf
configure.in.patch
os.m4.patch"
prepare () {
cd "$srcdir/$_realname-$pkgver"
patch -p1 < ../../configure.in.patch
patch -p1 < ../../os.m4.patch
}
build() {
cd "$srcdir/$_realname-$pkgver"
export LDFLAGS=
# Need to run configure at least once
# in order to do not go into an infinite loop
./configure
make configure
make distclean
./configure --prefix=/usr \
--sysconfdir=/etc/bacula \
--localstatedir=/var \
--mandir=/usr/share/man \
--docdir=/usr/share/doc \
--infodir=/usr/share/info \
--with-pid-dir=/var/run \
--with-subsys-dir=/var/lock/subsys \
--enable-largefile \
--enable-client-only \
--disable-nls \
--with-openssl=/usr/include/openssl \
--with-scriptdir=/etc/bacula/scripts \
--with-working-dir=/var/bacula \
--with-fd-user=root \
--with-fd-group=root \
--with-fd-password=ca4pheexie1aeC1hee3i \
make || return 1
}
package() {
cd "$srcdir/$_realname-$pkgver"
make DESTDIR="$pkgdir" install
install -Dm755 $srcdir/bacula-fd-init \
$pkgdir/etc/init.d/bacula-fd
install -Dm644 $srcdir/bacula-fd-conf \
$pkgdir/etc/conf.d/bacula-fd
}
md5sums="feba58691b674b12056359d459ad6940 bacula-3.0.3.tar.gz
38b0fe78acdc5e65aec3a59578e98a20 bacula-fd-init
4500ce2d62bf9df33c07f70dc40f7b85 bacula-fd-conf
ebc9c2bbc9be95c920723a3f142d8e19 configure.in.patch
cf7a2a4e972697f54364654c4e282b8b os.m4.patch"
#!/bin/sh
chown bacula.bacula /var/bacula
#!/bin/sh
addgroup -S bacula 2>/dev/null
exit 0
# Config file for /etc/init.d/bacula-fd
# Options for the file daemon.
FD_OPTIONS="-u root -g bacula -c /etc/bacula/bacula-fd.conf"
#!/sbin/runscript
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/www/viewcvs.gentoo.org/raw_cvs/gentoo-x86/app-backup/bacula/files/3.0.3/bacula-fd-init,v 1.1 2009/11/08 17:14:46 wschlich Exp $
depend() {
need net
use dns
}
start() {
ebegin "Starting bacula file daemon"
start-stop-daemon --start --quiet --exec /usr/sbin/bacula-fd \
-- ${FD_OPTIONS}
eend $?
}
stop() {
ebegin "Stopping bacula file daemon"
start-stop-daemon --stop --quiet --pidfile /var/run/bacula-fd.*.pid
eend $?
}
--- bacula-3.0.3-orig/autoconf/configure.in Sun Oct 18 09:10:16 2009
+++ bacula-3.0.3/autoconf/configure.in Wed Dec 2 14:13:44 2009
@@ -2576,6 +2576,20 @@
fi
TAPEDRIVE="/dev/nrmt0"
;;
+alpine)
+ dnl Make sure hostname is resolved
+ ping -c 1 $hostname 2>&1 1>/dev/null
+ if test ! $? = 0; then
+ hostname="localhost"
+ fi
+ if `test -f /etc/alpine-release && grep -q alpine /etc/alpine-release`; then
+ DISTNAME="alpine"
+ fi
+ DISTVER=`cat /etc/alpine-release`
+ TAPEDRIVE="/dev/nst0"
+ PSCMD="ps -e -o pid,comm"
+ largefile_support="yes"
+ ;;
bsdi)
DISTVER=`uname -a |awk '{print $3}'`
TAPEDRIVE="/dev/nrmt0"
--- bacula-3.0.3-orig/autoconf/bacula-macros/os.m4 Sun Oct 18 09:10:16 2009
+++ bacula-3.0.3/autoconf/bacula-macros/os.m4 Wed Dec 2 13:48:30 2009
@@ -201,6 +201,9 @@
elif test -f /etc/gentoo-release
then
DISTNAME=gentoo
+elif test -f /etc/alpine-release
+then
+ DISTNAME=alpine
elif test -f /etc/debian_version
then
DISTNAME=debian
# Contributor: Leonardo Arena <rnalrd@gmail.com>
# Maintainer: Leonardo Arena <rnalrd@gmail.com>
pkgname="bacula"
pkgver=3.0.3
pkgrel=0
pkgdesc="Enterprise ready, network based backup program"
url="http://www.bacula.org"
license="GPL2"
depends="postgresql openssl ncurses"
makedepends="postgresql-dev openssl-dev ncurses-dev autoconf"
install="$pkgname.pre-install $pkgname.post-install"
subpackages="$pkgname-doc"
source="http://downloads.sourceforge.net/project/$pkgname/$pkgname/$pkgver/$pkgname-$pkgver.tar.gz
bacula-dir-init
bacula-dir-conf
bacula-sd-init
bacula-sd-conf
bacula-fd-init
bacula-fd-conf
configure.in.patch
os.m4.patch"
prepare () {
cd "$srcdir/$pkgname-$pkgver"
patch -p1 < ../../configure.in.patch
patch -p1 < ../../os.m4.patch
}
build() {
cd "$srcdir/$pkgname-$pkgver"
export LDFLAGS=
# Need to run configure at least once
# in order to do not go into an infinite loop
./configure
make configure
make distclean
./configure --prefix=/usr \
--sysconfdir=/etc/bacula \
--localstatedir=/var \
--mandir=/usr/share/man \
--docdir=/usr/share/doc \
--infodir=/usr/share/info \
--with-pid-dir=/var/run \
--with-subsys-dir=/var/lock/subsys \
--enable-largefile \
--disable-nls \
--with-openssl=/usr/include/openssl \
--with-postgresql=/usr \
--with-scriptdir=/etc/bacula/scripts \
--with-working-dir=/var/bacula \
--with-dir-user=bacula \
--with-dir-group=bacula \
--with-sd-user=bacula \
--with-sd-group=bacula \
--with-fd-user=root \
--with-fd-group=root \
--with-dir-password=pie9Sah6aZo4aiS5te5e \
--with-fd-password=ca4pheexie1aeC1hee3i \
--with-sd-password=Saphaech3xohmuDaDaLi
make || return 1
}
package() {
cd "$srcdir/$pkgname-$pkgver"
make DESTDIR="$pkgdir" install
for DAEMON in dir sd fd
do
install -Dm755 $srcdir/bacula-${DAEMON}-init \
$pkgdir/etc/init.d/bacula-${DAEMON}
install -Dm644 $srcdir/bacula-${DAEMON}-conf \
$pkgdir/etc/conf.d/bacula-${DAEMON}
done
}
md5sums="feba58691b674b12056359d459ad6940 bacula-3.0.3.tar.gz
2e11ca528feb60adc1bb09a6488eb654 bacula-dir-init
20f28a16f34e3f20ed18ed81b010e765 bacula-dir-conf
38603c86eae43e8a38962bb8590c41dd bacula-sd-init
afe2f9a4d79d7d96eb9372d003d10f86 bacula-sd-conf
38b0fe78acdc5e65aec3a59578e98a20 bacula-fd-init
4500ce2d62bf9df33c07f70dc40f7b85 bacula-fd-conf
ebc9c2bbc9be95c920723a3f142d8e19 configure.in.patch
cf7a2a4e972697f54364654c4e282b8b os.m4.patch"
# Config file for /etc/init.d/bacula-dir
# Options for the director daemon.
# The DIR can be run as a non-root user, however
# please ensure that this user has proper permissions to
# access your backup devices.
DIR_OPTIONS="-u bacula -g bacula -c /e